<?php

namespace Ulmus\SearchRequest;

trait SearchRequestPaginationTrait {

    public int $count = 0;

    public int $page = 1;

    public int $pageCount = 0;
    
    public function pagination(int $page, int $itemCount) : void 
    {
        $this->count = $itemCount;
        $this->page = $page;
    }
    
    public function pageCount() : int
    {
        return ceil($this->count / $this->limit());
    }
    
    public function hasPagination() : int
    {
        return $this->pageCount() > 1;
    }
}
